Collections
This page lists and describes the Collections category of endpoints within the Template Catalog API. It also includes interactive testing environments for each endpoint in this category.
Fetch a List of Collections
Request Parameters
Get a list of collections from the catalog.
Successful response
{"count":19,"next":"https://api.getbee.io/v1/catalog/collections?page=2&pagesize=10","previous":null,"results":[{"bg_color":"#E8F8D4","description":"A Beefree collection is a set of templates focused on a specific communication need. Whether you need to create an automated email sequence to onboard new customers, launch a new product, or dress up transactional messages for your online store, Beefree collections will help you hit the ground running and achieve your goals faster.","short_description":"","fg_color":"#140244","highlighted":false,"icon_url":"https://d1oco4z2z1fhwp.cloudfront.net/collections/real-estate_icon.svg","id":"real-estate","image_url":"https://d1oco4z2z1fhwp.cloudfront.net/collections/Real-Estate-TC.png","name":"Real Estate","order":"0"}]}Bad request. The request could not be understood or was missing required parameters.
Unauthorized. Authentication is required and has failed or has not been provided.
Forbidden. The request was valid, but the server is refusing action.
Internal Server Error. An unexpected condition was encountered.
Fetch a single Collection
Retrieve a specific collection in the catalog.
Successful response
{"bg_color":"#FBFBFB","description":"A Beefree collection is a set of templates focused on a specific communication need. Whether you need to create an automated email sequence to onboard new customers, launch a new product, or dress up transactional messages for your online store, Beefree collections will help you hit the ground running and achieve your goals faster.","short_description":"","fg_color":"#140242","highlighted":false,"icon_url":"https://d1oco4z2z1fhwp.cloudfront.net/collections/photo.svg","id":"photography","image_url":"https://d1oco4z2z1fhwp.cloudfront.net/collections/Photography-TC.png","name":"Photography","order":"0"}Bad request. The request could not be understood or was missing required parameters.
Unauthorized. Authentication is required and has failed or has not been provided.
Forbidden. The request was valid, but the server is refusing action.
Internal Server Error. An unexpected condition was encountered.
Last updated
Was this helpful?

